@use '@angular/material'as mat;
@use 'partials/variables/mobile-screen';

.flex-column {
  align-items: baseline;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.footer-container {
  // position: relative;
  // bottom: 0;
  margin-top: auto;
}

.footer-content {
  margin: 0 auto;
  // padding-bottom: 2em;
  text-align: center;
  text-decoration: none;
}

@media only screen and (max-width: mobile-screen.$max-mobile-width) {
  // on mobile devices a card has a max width and height of 370 px

  .flex-column {
    flex-direction: column;
    align-items: center;
    // margin-top: 3rem; // breaks layout above footer
  }
}

a {
  text-decoration: none;
}

ul {
  margin-block-start: 0px;
  margin-block-end: 0px;
  padding-inline-start: 0px;
  font-size: 0.9em;
}

li {
  text-decoration: none;
  list-style: none;
  line-height: 26px;
}

a {
  cursor: pointer;
}

.footer-column {
  padding: 1em;
  min-width: 180px;
}

.icon-wrapper {
  border-radius: 50%;
  width: 48px;
  margin: 0 auto 0 auto;
}

.mat-icon {
  height: 32px;
  margin-top: 8px;
}

.empaia-bm {
  width: 62px;
  clip-path: circle(44% at 24px 24px);
}

.copyright {
  display: flex;
  font-size: 0.9em;
}

.copyright-item {
  display: flex;
  flex: 1;
}

.copyright>.center {
  max-width: 22px;
  justify-content: center;
}

.copyright>.left {
  margin-right: auto;
  justify-content: right;
}

.copyright>.right {
  margin-left: auto;
  justify-content: left;
}
